<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js" integrity="sha512-3gJwYpMe3QewGELv8k/BX9vcqhryRdzRMxVfq6ngyWXwo03GFEzjsUm8Q7RZcHPHksttq7/GFoxjCVUjkjvPdw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.2.3/js/bootstrap.min.js" integrity="sha512-1/RvZTcCDEUjY/CypiMz+iqqtaoQfAITmNSJY17Myp4Ms5mdxPS5UV7iOfdZoxcGhzFbOm6sntTKJppjvuhg4g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js"></script>
<script>
    $(document).ready(function() {
        $('#myTable').DataTable();
        $('#myTableArc').DataTable();
    });
    // $(document).ready(function() {
    //     $('[data-tooltip="tooltip"]').tooltip();
    //     $('#table-list').DataTable();
    //     $('#table-archive').DataTable();
    //     $('#harga').trigger('keyup')
    // });

    // $('.pass-data').click(function() {
    //     $('#detail-judul').val($(this).attr('data-judul'));
    //     $('#detail-subjudul').val($(this).attr('data-subjudul'));
    //     $('#detail-keterangan').val($(this).attr('data-keterangan'));
    //     $('#detail-created_at').val($(this).attr('data-created_at'));
    //     $('#detail-link').val($(this).attr('data-link'));
    //     // $('#detail-harga').val($(this).attr('data-harga'));
    //     $('#detail-foto').attr('src', $(this).attr('data-foto'));
    //     $('#detail-id').attr('href', $(this).attr('data-id'));
    //     // Mendapatkan nilai harga dari atribut data-harga
    //     var harga = $(this).data('harga')

    //     // Memformat nilai harga sebagai mata uang Rupiah
    //     var formattedHarga = 'Rp ' + parseInt(harga).toLocaleString('id-ID');
    //     // var hargaFormatted = harga.toLocaleString('id-ID', { style: 'currency', currency: 'IDR', minimumFractionDigits: 0 });
    //     // var hargaHTML = 'Rp.' + hargaFormatted;

    //     // Mengubah tampilan teks elemen HTML dengan nilai harga yang diformat
    //     $('#detail-harga').text(formattedHarga);
    // });
     // Inisialisasi carousel pada saat halaman dimuat
    $(document).ready(function() {
        $('.carousel').carousel();
    });
</script>